<!DOCTYPE html>
<html>
  <head>
    <title>File Data</title>
    <style>
      #loader {
        border: 16px solid #f3f3f3;
        border-top: 16px solid #3498db;
        border-radius: 50%;
        width: 120px;
        height: 120px;
        animation: spin 2s linear infinite;
      }

      @keyframes spin {
        0% { transform: rotate(0deg); }
        100% { transform: rotate(360deg); }
      }

      #videoContainer {
        display: none;
      }
    </style>
  </head>
  <body>
    <h1>File Data</h1>
    <div>
      <h2>Filename: {{ filename }}</h2>
      <div id="loader"></div>
      <div id="videoContainer">
        <video width="640" height="480" controls>
            <source src="replay_video/9701d308dd32d76fb515d96b3251928c.mp4" type="video/mp4">
        </video>
        <p>{{ data }}</p>
      </div>
    </div>
    <script>
      setTimeout(() => {
        document.getElementById("loader").style.display = "none";
        document.getElementById("videoContainer").style.display = "block";
      }, 10000);
    </script>
  </body>
</html>
